## Class TDataGridPagerEventParameter

Description

TDataGridPagerEventParameter class

TDataGridPagerEventParameter encapsulates the parameter data for TDataGrid::onPagerCreated event of TDataGrid controls. The Pager property indicates the datagrid pager related with the event.

- since: 3.0
- version: $Id: TDataGrid.php 2211 2007-09-07 13:34:10Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataGrid.php (line 1672)

    TComponent
       |
       --TEventParameter
          |
          --TDataGridPagerEventParameter

Method Summary
TDataGridPagerEventParameter __construct (TDataGridPager $pager)
TDataGridPager getPager ()
Methods
Constructor __construct (line 1684)

Constructor.

- access: public

TDataGridPagerEventParameter __construct (TDataGridPager $pager)

- TDataGridPager $pager: datagrid pager related with the corresponding event

getPager (line 1692)

- return: datagrid pager related with the corresponding event
- access: public

TDataGridPager getPager ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:30 -0400 by phpDocumentor 1.3.0RC4